Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 4.0.103
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je.rep.util
Class DbGroupAdmin

    java.lang.Object
      com.sleepycat.je.rep.util.DbGroupAdmin

    public class DbGroupAdmin

extends Object

DbGroupAdmin supplies the functionality of the administrative class `ReplicationGroupAdmin` in a convenient command line utility. For example, it can be used to display replication group information, or to remove a node from the replication group.

Note: This utility does not handle security and authorization. It is left to the user to ensure that the utility is invoked with proper authorization.

See `main(java.lang.String[])` for a full description of the command line arguments.

Constructor Summary
`DbGroupAdmin(String groupName, Set<InetSocketAddress> helperSockets)` Create a DbGroupAdmin instance for programmatic use.

Method Summary
`void` | `dumpGroup()` Display group information.
`static void` | `main(String[] args)` Usage:
`void` | `removeMember(String name)` Remove a node from the replication group.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DbGroupAdmin

    public DbGroupAdmin(String groupName,
                        Set<InetSocketAddress> helperSockets)

  Create a DbGroupAdmin instance for programmatic use.

  Parameters:
    `groupName` - replication group name
    `helperSockets` - set of host and port pairs for group members which can be queried to obtain group information.

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Usage:

       java {com.sleepycat.je.rep.util.DbGroupAdmin |
             -jar je-<version>.jar DbGroupAdmin}
         -groupName <group name>  # name of replication group
         -helperHosts <host:port> # identifier for one or more members
                                  # of the replication group which can be
                                  # contacted for group information, in
                                  # this format:
                                  # hostname[:port][,hostname[:port]]*
         -dumpGroup               # dump group information
         -removeMember <node name># node to be removed

  Throws:
    `Exception`

### dumpGroup

    public void dumpGroup()

  Display group information. Lists all members and the group master. Can be used when reviewing the

  ### removeMember

      public void removeMember(String name)

    Remove a node from the replication group. Once removed, a node cannot be added again to the group under the same node name.

    Parameters:
      `name` - name of the node to be removed
    See Also:
      `ReplicationGroupAdmin.removeMember(java.lang.String)`

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  | Berkeley DB Java Edition version 4.0.103
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Copyright (c) 2004-2010 Oracle. All rights reserved.